package com.tzld.piaoquan.recommend.server.service.filter;

import com.tzld.piaoquan.recommend.server.service.flowpool.FlowPoolService;
import com.tzld.piaoquan.recommend.server.util.JSONUtils;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections4.CollectionUtils;
import org.apache.commons.collections4.MapUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;
import java.util.stream.Collectors;

/**
 * @author dyp
 */
@Service
@Slf4j
public class FlowPoolWithLevelFilterService extends AbstractFilterService {

    public FilterResult filter(FilterParam param) {
        List<Long> videoIds = viewFilter(param);
        return new FilterResult(videoIds);
    }
}
